net.minecraft.network.packet

## Class Packet5PlayerInventory

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet5PlayerInventory

-     public class Packet5PlayerInventory
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `entityID` Entity ID of the object.
    `int` | `slot` Equipment slot: 0=held, 1-4=armor slot

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet5PlayerInventory()`
    `Packet5PlayerInventory(int par1, int par2, ItemStack par3ItemStack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsSameEntityIDAs(Packet par1Packet)` eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
    `ItemStack` | `getItemSlot()`
    `int` | `getPacketSize()` Abstract.
    `boolean` | `isRealPacket()` only false for the abstract Packet class, all real packets return true
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, getNewPacket, getPacketId, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entityID

          public int entityID

      Entity ID of the object.

    - #### slot

          public int slot

      Equipment slot: 0=held, 1-4=armor slot

  - ### Constructor Detail

    - #### Packet5PlayerInventory

          public Packet5PlayerInventory()

    - #### Packet5PlayerInventory

          public Packet5PlayerInventory(int par1,
                                int par2,
                                ItemStack par3ItemStack)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getItemSlot

          public ItemStack getItemSlot()

    - #### isRealPacket

          public boolean isRealPacket()

      only false for the abstract Packet class, all real packets return true
      Overrides:
        `isRealPacket` in class `Packet`

    - #### containsSameEntityIDAs

          public boolean containsSameEntityIDAs(Packet par1Packet)

      eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
      Overrides:
        `containsSameEntityIDAs` in class `Packet`